org.apache.sling.hapi.client.impl.microdata

## Class MicrodataHtmlClient

- java.lang.Object
- - org.apache.sling.hapi.client.impl.AbstractHtmlClientImpl
  - - org.apache.sling.hapi.client.impl.microdata.MicrodataHtmlClient

All Implemented Interfaces:
  org.apache.http.client.HttpClient, HtmlClient

    public class MicrodataHtmlClient
    extends AbstractHtmlClientImpl

### Field Summary

### Fields inherited from class org.apache.sling.hapi.client.impl.AbstractHtmlClientImpl

`baseUrl, client, LOG`

### Constructor Summary

Constructors
Constructor and Description
`MicrodataHtmlClient(org.apache.http.impl.client.CloseableHttpClient client, String baseUrl)`
`MicrodataHtmlClient(String baseUrl)`
`MicrodataHtmlClient(String baseUrl, String user, String password)`

### Method Summary

Methods
`MicrodataDocument` `newDocument(String html)` Method to create a new Document representation from an HTML content String

### Methods inherited from class org.apache.sling.hapi.client.impl.AbstractHtmlClientImpl

`delete, enter, execute, execute, execute, execute, execute, execute, execute, execute, get, getConnectionManager, getParams, post`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### MicrodataHtmlClient

    public MicrodataHtmlClient(org.apache.http.impl.client.CloseableHttpClient client,
                       String baseUrl)
                        throws URISyntaxException

Throws:
  `URISyntaxException`

#### MicrodataHtmlClient

    public MicrodataHtmlClient(String baseUrl)
                        throws URISyntaxException

Throws:
  `URISyntaxException`

#### MicrodataHtmlClient

    public MicrodataHtmlClient(String baseUrl,
                       String user,
                       String password)
                        throws URISyntaxException

Throws:
  `URISyntaxException`

### Method Detail

#### newDocument

    public MicrodataDocument newDocument(String html)

Description copied from interface: `HtmlClient`
Method to create a new Document representation from an HTML content String

Specified by:
  `newDocument` in interface `HtmlClient`
Specified by:
  `newDocument` in class `AbstractHtmlClientImpl`
Returns: